PS_BEGIN_PATTERN(3)

NAME
PS_begin_pattern — Starts a new pattern

SYNOPSIS

#include <pslib.h>

int PS_begin_pattern(PSDoc *psdoc, float width, float height, float xstep, float ystep, int painttype)

DESCRIPTION

A pattern can be thought of like a color for drawing and filling. Actually, PS_setcolor is used to apply a pattern. The pattern itself has given dimension an a stepping in horizontal and vertical direction. The stepping comes into effect when the area to be fill is larger than the pattern itself. In such a case the pattern will be repeated with a distance of xstep in horizontal and ystep in vertical direction.

Each call of PS_begin_pattern must be accompanied by a call to PS_end_pattern(3).

RETURN VALUE

Returns identifier of the pattern or zero in case of an error. The identifier is a positiv number greater 0.

SEE ALSO

PS_end_pattern(3), PS_set_color(3)

AUTHOR

This manual page was written by Uwe Steinmann uwe@steinmann.cx.